#ifndef TILEANIMATION_H
#define TILEANIMATION_H

#include "stuff.h"

//TileAnimation

class TileAnimation
{
	private:
		char *name;
		int corrent_frame;
		int framenum;
		int animate_id;
		int num_frames;
		int frame1;
		int frame2;
		int frame3;
		int frame4;
		int frame5;
	public:
		// Accessors
		int Get_corrent_frame();
		int	Get_framenum();
		int Get_animate_id();
		int Get_num_frames();
		int Get_frame1();
		int Get_frame2();
		int Get_frame3();
		int Get_frame4();
		int Get_frame5();
		char *Get_name();
		// Mutators
		//sets
		void Set_corrent_frame(int);
		void Set_framenum(int);
		void Set_animate_id(int);
		void Set_num_frames(int);
		void Set_frame1(int);
		void Set_frame2(int);
		void Set_frame3(int);
		void Set_frame4(int);
		void Set_frame5(int);
		void Set_name(char *);
		TileAnimation();
		//~TileAnimation()


};


#endif